<%--
  Created by IntelliJ IDEA.
  User: user
  Date: 2019/8/19
  Time: 13:06
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<link rel="stylesheet" href="${ctxp}/static/plugin/assets/layui/css/layui.css">
<link rel="stylesheet" href="${ctxp}/static/plugin/assets/common.css"/>
<link rel="stylesheet" href="${ctxp}/static/plugin/assets/vermeit.css">
<script type="text/javascript" src="${ctxp}/static/plugin/assets/jquery-3.2.1.min.js"></script>
<script src="${ctxp}/static/plugin/assets/layui/layui.js"></script>
<html>
<head>
    <title>添加工程</title>
    <style>
        .layui-input{
            height: 28px;
            margin-top: 6px;
        }
        .layui-table-view .layui-table {width:100%}
        .myselect{
            border: none;
            padding: 5px 7px;
            min-height: 20px;
            color: #666666;
        }
        .mydiv1{
            padding: 5px 7px;
            min-height: 20px;
            border: whitesmoke;
        }
        .layui-btn-mysele{
            width: 70px;
        }
        .mydiv1:empty:before{
            content: attr(placeholder);   /* element attribute*/
            /*content: 'this is content';*/
            color:#999999;
        }
        .mydiv1:focus:before{content:none}
    </style>
</head>
<body>
<div style="padding: 10px; background-color: #F2F2F2;">
    <div class="layui-main-bgc">
        <%--<sys:message content="${message}"/>--%>
        <div class="layui-row layui-col-space15">
            <div class="layui-col-md12">
                <div class="layui-card">
                    <div class="layui-card-header layui-card-header-add">工程管理</div>
                        <div class="layui-card-body" style="margin-top: 2px;">
                            <fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">
                                <legend style="font-size: 15px;">添加工程</legend>
                            </fieldset>
                            <div class="layui-form-item">
                                <div class="layui-inline">
                                    <label class="layui-form-label" >*工程名称</label>
                                    <div class="layui-input-inline">
                                        <input type="text" id="myinput" autocomplete="off" placeholder="请输入工程名称" class="layui-input">
                                    </div>
                                </div>
                            </div>
                            <fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">
                                <legend style="font-size: 15px;">添加项目</legend>
                            </fieldset>
                            <div class="layui-upload">
                                <button type="button" class="layui-btn layui-btn-normal" id="testList">添加文件</button>
                                <div class="layui-upload-list">
                                        <table class="layui-table" id="mytable">
                                        <thead>
                                        <tr>
                                            <th width="35%">文件名</th>
                                            <th width="20%">项目名称</th>
                                            <th width="20%">项目类型</th>
                                            <th width="15%" style="text-align: center">操作</th>
                                        </tr></thead>
                                        <tbody id="demoList">

                                        </tbody>
                                    </table>
                                </div>
                                    <button type="button" class="layui-btn layui-btn-mysele" onclick="okSubmit()">确定</button>
                            </div>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    var formdata = new FormData();
    layui.use('upload', function(){
        var $ = layui.jquery
            ,upload = layui.upload;
        //多文件列表示例
        var demoListView = $('#demoList')
            ,uploadListIns = upload.render({
            elem: '#testList'
            // ,url: '/upload/'
            ,accept: 'file'
            ,exts:'xls|xlsx'
            ,multiple: true
            ,auto: false
            // ,bindAction: '#testListAction'
            ,choose: function(obj){
                var files = this.files = obj.pushFile(); //将每次选择的文件追加到文件队列

                //读取本地文件
                obj.preview(function(index, file, result){
                    formdata.append("file",file);
                    var tr = $(['<tr id="upload-'+ index +'">'
                        ,'<td>'+ file.name +'</td>'
                        ,'<td><div contenteditable="true" class="mydiv1" placeholder="请输入项目名称"></div></td>'
                        ,'<td>'
                        ,' <select name="type" class="myselect"><option value="">请选择项目类型</option><option value="1">架空线路工程</option><option value="2">电缆工程</option></select>'
                        ,'<td style="text-align: center">'
                        ,'<button class="layui-btn layui-btn-xs layui-btn-danger demo-delete">删除</button>'
                        ,'</td>'
                        ,'</tr>'].join(''));

                    //单个重传
                    tr.find('.demo-reload').on('click', function(){
                        obj.upload(index, file);
                    });

                    //删除
                    tr.find('.demo-delete').on('click', function(){
                        delete files[index]; //删除对应的文件
                        tr.remove();
                        uploadListIns.config.elem.next()[0].value = '';
                    });

                    demoListView.append(tr);
                });
            }
        });
    });
    function okSubmit() {
        var inputval = $("#myinput").val();
        if(inputval==null||inputval==""){
            layer.msg("请输入工程名称");
            return false;
        }
        formdata.append("projectName",inputval);

        var div1 =  document.getElementsByClassName("mydiv1");
        var divvalue=[];
        for (var i = 0; i < div1.length; i++) {
            divvalue[i]=div1[i].innerHTML;
        }
        if (divvalue.length<=0){
            layer.msg("请输入项目名称");
            return false;
        }
        for (var i = 0; i < divvalue.length; i++) {
            if (divvalue[i]=="请输入项目名称"){
                layer.msg("请输入项目名称");
                throw SyntaxError;
            }
        }
        formdata.append("itemNames",divvalue);

        var select1=document.getElementsByClassName("myselect");
        var selectval=[];
        for (var i = 0; i < select1.length; i++) {
            selectval[i]=select1[i].value;
        }
        if (selectval.length<=0){
            layer.msg("请输入项目名称");
            return false;
        }
        for (var i = 0; i < selectval.length; i++) {
            if (selectval[i]==""||selectval[i]==null){
                layer.msg("请选择项目类型");
                throw SyntaxError;
            }
        }
        formdata.append("itemTypes",selectval);

        $.ajax({
            url: "${ctx}/project/tem/import",
            type: "POST",
            data: formdata,
            traditional: true,
            cache: false,        // 不缓存数据
            processData: false,  // 不处理数据
            contentType: false,   // 不设置内容类型
            success:function (data) {
                if(data.code == 1){
                    layer.msg(data.msg);
                    window.location.href="${ctx}/project/tem/list?projectId="+data.id;
                }else {
                    layer.msg(data.msg);
                }
        }
    });
    }
</script>
</html>
